FFmpeg 12.10


like always if you need to install on the system the new version maybe for kdenlive or for other issues remember to add this to configure line

 --enable-shared and --prefix=/usr/local/
sudo apt-get build-dep ffmpeg ; sudo apt-get install git libopencore-amrnb-dev libopencore-amrwb-dev libopenjpeg-dev libx264-dev libxvidcore-dev libx264-dev  libopenjpeg-dev   libasound2-dev   libdc1394-22-dev   libgsm1-dev  libimlib2-dev libraw1394-dev libsdl1.2-dev libschroedinger-dev libspeex-dev  libtheora-dev  libvorbis-dev libx11-dev libxext-dev libxvmc-dev quilt texi2html zlib1g-dev libfaad-dev libdirac-dev libfaac-dev libmp3lame-dev frei0r-plugins-dev libdirac-dev  libfaac-dev ;sudo apt-get install libass-dev libbluray-dev libfontconfig1-dev libcelt-dev libmodplug-dev libopencv-dev librtmp-dev libv4l-dev libvo-aacenc-dev libvo-amrwbenc-dev 

this is what i have removed  on configure…

–enable-avisynth  ERROR: vfw32 not found🙂
libaacs-dev
–enable-libaacplus
–enable-libcelt
–enable-libilbc
–enable-libnut
–enable-libstagefright-h264
–enable-libutvideo
–enable-libxavs
–enable-runtime-cpudetect
–enable-xmm-clobber-test libswscale/x86/w64xmmtest.c:31: Error: bad register name `%xmm8′
–enable-dxva2 libavcodec/dxva2.h:34:18: fatal error: d3d9.h: No such file or directory

git clone git://source.ffmpeg.org/ffmpeg.git ffmpeg-$(date +"%m-%d-%y");cd  ffmpeg-$(date +"%m-%d-%y") ; ./configure --enable-gpl --enable-version3 --enable-nonfree  --enable-gray --enable-avresample --enable-x11grab  --enable-vaapi --enable-vda --enable-vdpau  --enable-bzlib --enable-frei0r --enable-gnutls --enable-libass --enable-libbluray  --enable-libcdio --enable-libdc1394 --enable-libfaac --enable-libfreetype --enable-libgsm  --enable-libmodplug --enable-libmp3lame  --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopencv --enable-libopenjpeg --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libspeex  --enable-libtheora --enable-libv4l2 --enable-libvo-aacenc --enable-libvo-amrwbenc  --enable-libvorbis --enable-libvpx --enable-libx264  --enable-libxvid --enable-openssl --enable-zlib --enable-pic --enable-sram --enable-hardcoded-tables --enable-memalign-hack --enable-coverage   --enable-extra-warnings --enable-random --enable-fontconfig

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: